"""
Django settings for summer project.

Generated by 'django-admin startproject' using Django 2.0.6.

For more information on this file, see
https://docs.djangoproject.com/en/2.0/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/2.0/ref/settings/
"""

import os

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/2.0/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '+#bb)kz_0yuey#2g6v!!y*$ycl+movep4$g2bsvnn2scs)b+^d'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = False  # 编辑器的粗体、斜体等功能，在执行“collectstatic”命令之前需要关闭DEBUG模式才能正常使用。

ALLOWED_HOSTS = ['*']  # DEBUG模式关闭时，必须设置此项，生产环境中应为域名。

# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'summerapp',
    'django_summernote',
]
SUMMERNOTE_CONFIG = {
    # 是否使用IFrame的方式，不使用的话必须加载Bootstrap/jQuery。
    'iframe': True,
    # 以下为SummerNote自定义设置
    'summernote': {
        # 隐身模式
        'airMode': False,
        # 编辑器的尺寸
        'width': '75%',
        'height': '360',
        # 语言设置
        'lang': 'zh-CN',
        # 设置字体列表
        'fontNames':
            [
                'Arial',
                'Arial Black',
                'Comic Sans MS',
                'Courier New',
                '宋体',  # 也可以写为“Songti”
                'Microsoft YaHei'  # 也可以写为“微软雅黑”
            ]
    },
    # 附加样式表
    'css': (
        '/static/summernote/theme/paper.css',  # 附加编辑器主题
        # '/static/summernote/theme/flatly.css',# 多个主题时默认加载最后一个，建议注释不使用的主题。
    ),
}

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'summer.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [os.path.join(BASE_DIR, 'templates')]
        ,
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'summer.wsgi.application'

# Database
# https://docs.djangoproject.com/en/2.0/ref/settings/#databases

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
    }
}

# Password validation
# https://docs.djangoproject.com/en/2.0/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]

# Internationalization
# https://docs.djangoproject.com/en/2.0/topics/i18n/

LANGUAGE_CODE = 'zh-Hans'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True

# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/2.0/howto/static-files/

STATIC_URL = '/static/'
STATIC_ROOT = os.path.join(BASE_DIR, 'static')

MEDIA_URL = '/media/'
MEDIA_ROOT = os.path.join(BASE_DIR, 'media')  # 官方文档为“media/”，实际测试中导致图片上传不显示。
